com.jscape.inet.mft.management.common

## Class WebConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.common.WebConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class WebConfiguration
      extends Configuration

  Web server configuration.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_HTTP_SESSION_TTL_MS` Default HTTP session time to live value 30 min
    `static boolean` | `DEFAULT_INCLUDE_SERVER_PORT` Default include server ports in HTTP/S headers
    `static java.lang.String` | `DEFAULT_THEME` Default theme name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebConfiguration()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `WebConfiguration(boolean httpEnabled, java.lang.String httpAddress, int httpPort, boolean httpsEnabled, java.lang.String httpsAddress, int httpsPort, java.lang.String keyAlias, boolean fipsModeRequired, java.lang.String[] excludedCiphers, java.lang.String[] enabledSslProtocols, boolean lostPasswordEnabled, boolean redirectHttp, boolean domainVisible, boolean domainDropdown, java.lang.String defaultDomain, boolean clientCertificateRequired, java.lang.String serverName, boolean includeServerPort, boolean sslRenegotiationAllowed, long httpSessionTtlMillis, boolean captchaRequired, com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy strictTransportSecurityPolicy, java.lang.String theme, int backlog)` Creates a new configuration instance.
    `WebConfiguration(WebConfiguration that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebConfiguration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getBacklog()`
    `java.lang.String` | `getDefaultDomain()` Returns default domain.
    `java.lang.String[]` | `getEnabledSslProtocols()` Returns enabled SSL protocols.
    `java.lang.String[]` | `getExcludedCiphers()` Returns excluded SSL ciphers.
    `java.lang.String` | `getHttpAddress()` Returns HTTP binding host/IP.
    `int` | `getHttpPort()` Returns HTTP binding port.
    `java.lang.String` | `getHttpsAddress()` Returns HTTPS binding host/IP.
    `long` | `getHttpSessionTtlMillis()` Returns HTTP session time to live.
    `int` | `getHttpsPort()` Returns HTTPS binding port.
    `java.lang.String` | `getKeyAlias()` Returns HTTPS key alias.
    `java.lang.String` | `getServerName()` Returns the server name.
    `com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy` | `getStrictTransportSecurityPolicy()` Returns HTTP Strict Transport Security policy.
    `java.lang.String` | `getTheme()` Returns web UI theme.
    `boolean` | `isCaptchaRequired()` Returns whether CAPTCHA will be displayed/required
    `boolean` | `isClientCertificateRequired()` Returns client certificate required flag.
    `boolean` | `isDomainDropdown()` Return whether domain drop-down field instead of input field is displayed.
    `boolean` | `isDomainVisible()` Returns whether domain name field is displayed.
    `boolean` | `isFipsModeRequired()`
    `boolean` | `isHttpEnabled()` Returns HTTP enabling flag.
    `boolean` | `isHttpsEnabled()` Returns HTTPS enabling flag.
    `boolean` | `isIncludeServerPort()` Returns include server port in HTTP/S headers flag.
    `boolean` | `isLostPasswordEnabled()` Returns whether lost password link is displayed on login page.
    `boolean` | `isRedirectHttp()` Returns HTTP-to-HTTPS redirection flag.
    `boolean` | `isSslRenegotiationAllowed()` Returns SSL renegotiation allowed flag.
    `boolean` | `isUserInterfaceAllowed(int value)` Deprecated. Support for Java applet removed
    `boolean` | `isUserInterfaceSelectable()` Deprecated. Support for Java applet removed
    `void` | `setBacklog(int value)`
    `void` | `setCaptchaRequired(boolean value)` Sets to display/require CAPTCHA in web interface.
    `void` | `setClientCertificateRequired(boolean value)` Sets client certificate required flag.
    `void` | `setDefaultDomain(java.lang.String domainName)` Sets default domain name
    `void` | `setDomainDropdown(boolean value)` Sets whether domain drop-down filed should be displayed.
    `void` | `setDomainVisible(boolean value)` Sets whether domain name field is displayed.
    `void` | `setEnabledSslProtocols(java.lang.String[] value)` Sets enabled SSL protocols.
    `void` | `setExcludedCiphers(java.lang.String[] value)` Sets excluded SSL ciphers.
    `void` | `setFipsModeRequired(boolean value)`
    `void` | `setHttpAddress(java.lang.String value)` Sets HTTP binding host/IP.
    `void` | `setHttpEnabled(boolean value)` Sets HTTP enabling flag.
    `void` | `setHttpPort(int value)` Sets HTTP binding port.
    `void` | `setHttpsAddress(java.lang.String value)` Sets HTTPS binding host/IP.
    `void` | `setHttpsEnabled(boolean value)` Sets HTTPS enabling flag.
    `void` | `setHttpSessionTtlMillis(long milliseconds)` Sets HTTP session time to live.
    `void` | `setHttpsPort(int value)` Sets HTTPS binding port.
    `void` | `setIncludeServerPort(boolean includeServerPort)` Set whether to include server port in HTTP/S headers.
    `void` | `setKeyAlias(java.lang.String value)` Sets HTTPS key alias.
    `void` | `setLostPasswordEnabled(boolean enabled)` This will enable/disable whether lost password link is displayed on login page.
    `void` | `setRedirectHttp(boolean value)` Sets HTTP-to-HTTPS redirection flag.
    `void` | `setServerName(java.lang.String serverName)` Sets forced server name value.
    `void` | `setSslRenegotiationAllowed(boolean value)` Sets SSL renegotiation flag.
    `void` | `setStrictTransportSecurityPolicy(com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy transportSecurityConfiguration)` Sets HTTP Strict Transport Security policy.
    `void` | `setTheme(java.lang.String theme)` Sets web UI theme.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HTTP_SESSION_TTL_MS

          public static final long DEFAULT_HTTP_SESSION_TTL_MS

      Default HTTP session time to live value 30 min
      See Also:
        Constant Field Values

    - #### DEFAULT_INCLUDE_SERVER_PORT

          public static final boolean DEFAULT_INCLUDE_SERVER_PORT

      Default include server ports in HTTP/S headers
      See Also:
        Constant Field Values

    - #### DEFAULT_THEME

          public static final java.lang.String DEFAULT_THEME

      Default theme name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebConfiguration

          public WebConfiguration(boolean httpEnabled,
                                  java.lang.String httpAddress,
                                  int httpPort,
                                  boolean httpsEnabled,
                                  java.lang.String httpsAddress,
                                  int httpsPort,
                                  java.lang.String keyAlias,
                                  boolean fipsModeRequired,
                                  java.lang.String[] excludedCiphers,
                                  java.lang.String[] enabledSslProtocols,
                                  boolean lostPasswordEnabled,
                                  boolean redirectHttp,
                                  boolean domainVisible,
                                  boolean domainDropdown,
                                  java.lang.String defaultDomain,
                                  boolean clientCertificateRequired,
                                  java.lang.String serverName,
                                  boolean includeServerPort,
                                  boolean sslRenegotiationAllowed,
                                  long httpSessionTtlMillis,
                                  boolean captchaRequired,
                                  com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy strictTransportSecurityPolicy,
                                  java.lang.String theme,
                                  int backlog)

      Creates a new configuration instance.
      Parameters:
        `httpEnabled` - HTTP enabling flag
        `httpAddress` - HTTP binding host/IP
        `httpPort` - HTTP binding port
        `httpsEnabled` - HTTPS enabling flag
        `httpsAddress` - HTTPS binding host/port
        `httpsPort` - HTTPS binding port
        `keyAlias` - HTTPS key alias
        `excludedCiphers` - excluded SSL ciphers
        `enabledSslProtocols` - enabled SSL protocols
        `lostPasswordEnabled` - enabling whether lost password link is displayed
        `redirectHttp` - enabling HTTP-to-HTTPS redirection
        `domainVisible` - whether domain field is displayed
        `domainDropdown` - whether domain drop-down field instead of input field is displayed
        `defaultDomain` - default domain name
        `clientCertificateRequired` - if `true` the client certificate is required for HTTPS connection
        `serverName` - server name
        `includeServerPort` - whether to include server port in HTTP/S headers flag
        `sslRenegotiationAllowed` - allows SSL renegotiation
        `httpSessionTtlMillis` - HTTP session time to live in seconds
        `captchaRequired` - whether CAPTCHA will be displayed/required
        `strictTransportSecurityPolicy` - HTTP Strict Transport Security policy configuration
        `theme` - web UI theme name

    - #### WebConfiguration

          public WebConfiguration(WebConfiguration that)

    - #### WebConfiguration

          public WebConfiguration()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### isHttpEnabled

          public boolean isHttpEnabled()

      Returns HTTP enabling flag.
      Returns:
        HTTP enabling flag

    - #### setHttpEnabled

          public void setHttpEnabled(boolean value)

      Sets HTTP enabling flag.
      Parameters:
        `value` - HTTP enabling flag

    - #### getHttpAddress

          public java.lang.String getHttpAddress()

      Returns HTTP binding host/IP.
      Returns:
        HTTP binding host/IP

    - #### setHttpAddress

          public void setHttpAddress(java.lang.String value)

      Sets HTTP binding host/IP.
      Parameters:
        `value` - HTTP binding host/IP

    - #### getHttpPort

          public int getHttpPort()

      Returns HTTP binding port.
      Returns:
        HTTP binding port

    - #### setHttpPort

          public void setHttpPort(int value)

      Sets HTTP binding port.
      Parameters:
        `value` - HTTP binding port

    - #### isHttpsEnabled

          public boolean isHttpsEnabled()

      Returns HTTPS enabling flag.
      Returns:
        HTTPS enabling flag

    - #### setHttpsEnabled

          public void setHttpsEnabled(boolean value)

      Sets HTTPS enabling flag.
      Parameters:
        `value` - HTTPS enabling flag

    - #### getHttpsAddress

          public java.lang.String getHttpsAddress()

      Returns HTTPS binding host/IP.
      Returns:
        HTTPS binding host/IP

    - #### setHttpsAddress

          public void setHttpsAddress(java.lang.String value)

      Sets HTTPS binding host/IP.
      Parameters:
        `value` - HTTPS binding host/IP

    - #### getHttpsPort

          public int getHttpsPort()

      Returns HTTPS binding port.
      Returns:
        HTTPS binding port

    - #### setHttpsPort

          public void setHttpsPort(int value)

      Sets HTTPS binding port.
      Parameters:
        `value` - HTTPS binding port

    - #### getKeyAlias

          public java.lang.String getKeyAlias()

      Returns HTTPS key alias.
      Returns:
        HTTPS key alias

    - #### setKeyAlias

          public void setKeyAlias(java.lang.String value)

      Sets HTTPS key alias.
      Parameters:
        `value` - HTTPS key alias

    - #### isFipsModeRequired

          public boolean isFipsModeRequired()

    - #### setFipsModeRequired

          public void setFipsModeRequired(boolean value)

    - #### getExcludedCiphers

          public java.lang.String[] getExcludedCiphers()

      Returns excluded SSL ciphers.
      Returns:
        excluded SSL ciphers

    - #### setExcludedCiphers

          public void setExcludedCiphers(java.lang.String[] value)

      Sets excluded SSL ciphers.
      Parameters:
        `value` - excluded SSL ciphers

    - #### getEnabledSslProtocols

          public java.lang.String[] getEnabledSslProtocols()

      Returns enabled SSL protocols.
      Returns:
        enabled SSL protocols

    - #### setEnabledSslProtocols

          public void setEnabledSslProtocols(java.lang.String[] value)

      Sets enabled SSL protocols.
      Parameters:
        `value` - enabled SSL protocols

    - #### isLostPasswordEnabled

          public boolean isLostPasswordEnabled()

      Returns whether lost password link is displayed on login page.
      Returns:
        `true` lost pasword link displayed; `false` otherwise.

    - #### setLostPasswordEnabled

          public void setLostPasswordEnabled(boolean enabled)

      This will enable/disable whether lost password link is displayed on login page.
      Parameters:
        `enabled` - `true` enable lost password link; `false` otherwise.

    - #### isRedirectHttp

          public boolean isRedirectHttp()

      Returns HTTP-to-HTTPS redirection flag.
      Returns:
        `true` if HTTP-to-HTTPS redirection is enabled; `false` otherwise

    - #### setRedirectHttp

          public void setRedirectHttp(boolean value)

      Sets HTTP-to-HTTPS redirection flag.
      Parameters:
        `value` - if `true` HTTP-to-HTTPS redirection will be enabled

    - #### isDomainVisible

          public boolean isDomainVisible()

      Returns whether domain name field is displayed.
      Returns:
        `true` if domain field is displayed; `false` otherwise.

    - #### setDomainVisible

          public void setDomainVisible(boolean value)

      Sets whether domain name field is displayed.
      Parameters:
        `value` - if `true` domain field will be displayed

    - #### isDomainDropdown

          public boolean isDomainDropdown()

      Return whether domain drop-down field instead of input field is displayed.
      Returns:
        `true` if drop-down field is displayed

    - #### setDomainDropdown

          public void setDomainDropdown(boolean value)

      Sets whether domain drop-down filed should be displayed.
      Parameters:
        `value` - if `true` domain drop-down field will be displayed

    - #### getDefaultDomain

          public java.lang.String getDefaultDomain()

      Returns default domain.
      Returns:
        the default domain name

    - #### setDefaultDomain

          public void setDefaultDomain(java.lang.String domainName)

      Sets default domain name
      Parameters:
        `domainName` - the domain name

    - #### isClientCertificateRequired

          public boolean isClientCertificateRequired()

      Returns client certificate required flag.
      Returns:
        `true` if client certificate is required for HTTPS connection; `false` otherwise

    - #### setClientCertificateRequired

          public void setClientCertificateRequired(boolean value)

      Sets client certificate required flag.
      Parameters:
        `value` - if `true` the client certificate will be required for HTTPS connection

    - #### getServerName

          public java.lang.String getServerName()

      Returns the server name.
      Returns:
        the server name

    - #### setServerName

          public void setServerName(java.lang.String serverName)

      Sets forced server name value.
      Parameters:
        `serverName` - the server name

    - #### isIncludeServerPort

          public boolean isIncludeServerPort()

      Returns include server port in HTTP/S headers flag.
      Returns:
        `true` if server port will be included; `false` otherwise

    - #### setIncludeServerPort

          public void setIncludeServerPort(boolean includeServerPort)

      Set whether to include server port in HTTP/S headers.
      Parameters:
        `includeServerPort` - if `true` the server port will be included

    - #### isUserInterfaceAllowed

          public boolean isUserInterfaceAllowed(int value)

      Deprecated. Support for Java applet removed
      Checks if specified user interface type is allowed.
      Parameters:
        `value` - user interface type
      Returns:
        `true`

    - #### isUserInterfaceSelectable

          public boolean isUserInterfaceSelectable()

      Deprecated. Support for Java applet removed
      Return `true` if user interface is selectable.
      Returns:
        `false`

    - #### isSslRenegotiationAllowed

          public boolean isSslRenegotiationAllowed()

      Returns SSL renegotiation allowed flag.
      Returns:
        `true` if SSL renegotiation is allowed; `false` otherwise

    - #### setSslRenegotiationAllowed

          public void setSslRenegotiationAllowed(boolean value)

      Sets SSL renegotiation flag.
      Parameters:
        `value` - if `true` the SSL renegotiation will be allowed

    - #### getHttpSessionTtlMillis

          public long getHttpSessionTtlMillis()

      Returns HTTP session time to live.
      Returns:
        HTTP session time to live in milliseconds

    - #### setHttpSessionTtlMillis

          public void setHttpSessionTtlMillis(long milliseconds)

      Sets HTTP session time to live.
      Parameters:
        `milliseconds` - HTTP session time to live in milliseconds

    - #### isCaptchaRequired

          public boolean isCaptchaRequired()

      Returns whether CAPTCHA will be displayed/required
      Returns:
        `true` CAPTCHA will be displayed/required; `false` otherwise

    - #### setCaptchaRequired

          public void setCaptchaRequired(boolean value)

      Sets to display/require CAPTCHA in web interface.
      Parameters:
        `value` - it `true` CAPTCHA will be displayed/required

    - #### getStrictTransportSecurityPolicy

          public com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy getStrictTransportSecurityPolicy()

      Returns HTTP Strict Transport Security policy.
      Returns:
        the HSTS policy or `null` if disabled

    - #### setStrictTransportSecurityPolicy

          public void setStrictTransportSecurityPolicy(com.jscape.inet.mft.management.common.StrictTransportSecurityPolicy transportSecurityConfiguration)

      Sets HTTP Strict Transport Security policy.
      Parameters:
        `transportSecurityConfiguration` - the HSTS policy; or `null` if disabled

    - #### getTheme

          public java.lang.String getTheme()

      Returns web UI theme.
      Returns:
        the theme name

    - #### setTheme

          public void setTheme(java.lang.String theme)

      Sets web UI theme.
      Parameters:
        `theme` - the theme name

    - #### getBacklog

          public int getBacklog()

    - #### setBacklog

          public void setBacklog(int value)

    - #### copy

          public WebConfiguration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.